package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维修工单子表（配件/项目）状态枚举
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum TicketsItemStatusEnum {
    /**
     * 待派工
     */
    WAITING_WORK("01","待派工"),
    /**
     * 施工中
     */
    WORKING("02","施工中"),
    /**
     * 已完成
     */
    DONE("03","已完成"),
    /**
     * 未领料
     */
    WAITING_RECEIVE("04","未领料"),
    /**
     * 已领料
     */
    RECEIVED("05","已领料");

    /**
     * code
     */
    private String code;
    /**
     * 名称
     */
    private String name;

    /**
     * 根据code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code 枚举code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static TicketsItemStatusEnum getEnumByCode(String code) {
        for (TicketsItemStatusEnum roleEnum : TicketsItemStatusEnum.values()) {
            if (roleEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return roleEnum;
            }
        }
        throw new IllegalArgumentException("无效的枚举code：" + code);
    }

}
